#!/usr/bin/env python

import updateinfo

myupdateinfo = updateinfo.Updateinfo()
# open an existing updateinfo and add this to it
# to start from scratch just skip this line
myupdateinfo.from_xml_file('updateinfo.xml')

entry = updateinfo.Entry()
entry.set_update_metainfo('asdf@jkl.com','stable', 'recommended')
entry.set_title('sudo update')
entry.set_id('SLID-12354')
entry.set_issued_date('2012-08-25 16:03:34')
entry.set_description('look it fixes" stuff')
entry.set_release_name('Scientific Linux')
entry.set_reboot_suggested(True)
entry.set_restart_suggested(True)
entry.set_relogin_suggested(True)

ref = updateinfo.Reference('bugzilla',
                           'http://mybugzillaurl.com/bug#1234',
                           '1234',
                           'mytitle')
entry.add_reference_obj(ref)
refobj = ref.to_xml_obj()

collection = updateinfo.Collection('Scientific Linux 6', 'SL-6')

package = updateinfo.Package('http://url.for.source.com/',
                             '/path/to/some/file.i686.rpm')
collection.add_package_obj(package)
entry.add_package_collection_obj(collection)

myupdateinfo.add_entry(entry)

# this one just pretty prints the xml, this is pretty
print myupdateinfo

# this will validate it before returning it (if you've got lxml)
# and then print it, this isn't pretty
print myupdateinfo.get_xml()

# this will validate it before writing it (if you've got lxml)
myupdateinfo.to_xml_file('/path/to/file', comment='modifyrepo updateinfo.xml /path/to/repodata/')

# this wont validate it before writing it
myupdateinfo.to_xml_file('/path/to/file', validate=False, comment='modifyrepo updateinfo.xml /path/to/repodata/', pretty=True)
